For the complete documentation index, see llms.txt. This page is also available as Markdown.

Capture Void

A void cancels a capture or credit request that was submitted but not yet processed by the processor. A void request is declined when the capture request has already been sent to the processor.

POST /v1/payments/capture/:id/void

curl –X POST https://api.firstoken.co/v1/payments/captures/:id/void' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' \
--data '{
    "transaction_info": {
        "type": "capture_void",
        "reference_code": "123456789"
    },
    "device_info": {
        "ip_address": "12.7.8.120"
    }
}'

id: string

A valid capture identifier (transaction_id) received in previous requests.

status: string The status is a string result that only has two possible values. "Success, “Error” or "Fail".

message: string The message value represents a short description about the status code.

data: {object} The value of the data represents a set of JSON objects with the transaction’s details:

  • transaction_info: {object} The wrapper object of the transaction’s information. Contains:

    • type: string The type of transaction response.

    • reference_code: string

      A reference code for the transaction.

    • transaction_id: string

      Our transaction identifier of the request. It is used in other requests.

    • request_id: string

      The identifier of the request associated with the transaction.

    • status: string

      The status received of the transaction.

    • created_at: ISO Date

      The ISO Date of the request

Example of the JSON response
{
    "status": "success",
    "message": "Capture void successful",
    "data": {
        "transaction_info": {
            "type": "capture_void_response",
            "reference_code": "123456789",
            "transaction_id": "0001709058475408395927",
            "request_id": "7090584766826834404951",
            "status": "Voided",
            "created_at": "2024-02-27T18:27:56Z"
        }
    }
}

Last updated